package com.tendencies.jcr.connection;

import javax.jcr.Node;
import javax.jcr.Session;

import org.exoplatform.container.ExoContainer;
import org.exoplatform.container.ExoContainerContext;
import org.exoplatform.services.jcr.RepositoryService;
import org.exoplatform.services.jcr.core.ManageableRepository;
import org.exoplatform.services.jcr.ext.app.SessionProviderService;
import org.exoplatform.services.jcr.ext.common.SessionProvider;
import org.exoplatform.services.security.ConversationState;

public class RepositoryConnector {
	
	public Session getSession(){
		
		Session jcrSession = null;
		
		try {
            ExoContainer container = new ExoContainer();
            container = ExoContainerContext.getContainerByName("portal");
//            SessionProviderService sessionProviderService = (SessionProviderService) container.getComponentInstanceOfType(SessionProviderService.class);
            RepositoryService repositoryService = (RepositoryService) container.getComponentInstanceOfType(RepositoryService.class);
            ManageableRepository repository;
            repository = repositoryService.getDefaultRepository();
            jcrSession = new SessionProvider(ConversationState.getCurrent()).getSession(repository.getConfiguration().getDefaultWorkspaceName(), repository);
        } catch (Exception e) {
            e.printStackTrace();
            return jcrSession;
        }
        
        return jcrSession;
		
	}
	
}
